Subject: Re: [PATCH 3/3] bonding: Improve IGMP join processing

From: Brian Haley <[email-masked]>
Date: Tue, 06 Mar 2007 14:55:28 -0500

Andy Gospodarek wrote:
> If we are easily able to differentiate between the multicast addresses
> in the mc_list as to which are for ipv4 and which are for ipv6 then it
> would be easy to call-out to something in the ipv6 mcast code when
> needed instead of always calling out to ipv4 code.

I've been unable to figure out exactly what you're referring to in the 
code (bond_main.c), it seems to failover all multicast addresses, 
regardless of what address family they are.  I might have missed 
something in 4K lines of code though?

-Brian